<div [ngClass]="setClasses()">
    <h3>{{resourceContent.title}}</h3>
    <p>
        {{resourceContent.description}}
    </p>
    <button (click)="onEdit()">Editar</button>
    <form (ngSubmit)="onSubmit()">
        <input type="text" name="resource" [(ngModel)]="resource">
        <button type="submit">Agregar nuevo recurso</button>
    </form>
    <app-pair-content (deletePair)="deletePair($event)" (editPair)="editPair($event)" (getPair)="getPair($event)"
        *ngFor = "let pair of resourceContent.resources" [pairContent]="pair">
    </app-pair-content>
</div>
